/*******************************************************
This program was created by the CodeWizardAVR V3.30 
Automatic Program Generator
 Copyright 1998-2017 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : project2
Version : 0.1
Date    : 29. 04. 2017
Author  : aljaxus
Company : -||-
Comments: 


Chip type               : ATmega328P
Program type            : Application
AVR Core Clock frequency: 16,000000 MHz
Memory model            : Small
External RAM size       : 0
Data Stack size         : 512
*******************************************************/

#include <io.h>
#include <delay.h>              
//DEFINE LED
#define  ledr1 PORTC.2
#define  ledy1 PORTC.3
#define  ledg1 PORTC.4
#define  ledr2 PORTD.4
#define  ledy2 PORTD.3
#define  ledg2 PORTD.2
#define  ledr3 PORTB.1
#define  ledy3 PORTB.2
#define  ledg3 PORTB.3
#define  ledr4 PORTD.5
#define  ledy4 PORTD.6
#define  ledg4 PORTD.7
//DEFINE BUTTONS
#define  button5 PINC.0
#define  button1 PINC.5
#define  button2 PINC.1
#define  button3 PINB.0
#define  button4 PINB.4
#define zakasnitev (int)(65535 - (15625*0.2))
int confirm=0;   
int selection;             
int counter1=0;
int counter2=0; 
int counter3=0; 
int counter4=0; 
int counter5=0; 
int counter6=0;
int pass1=0;
int pass2=0;
int pass3=0;
int section2done=0;
int wait;
// Declare your global variables here


// Timer1 overflow interrupt service routine
interrupt [TIM1_OVF] void timer1_ovf_isr(void){

wait = 0;
}

void main(void)
{
// Declare your local variables here

// Crystal Oscillator division factor: 1
#pragma optsize-
CLKPR=(1<<CLKPCE);
CLKPR=(0<<CLKPCE) | (0<<CLKPS3) | (0<<CLKPS2) | (0<<CLKPS1) | (0<<CLKPS0);
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif

// Input/Output Ports initialization
// Port B initialization
// Function: Bit7=In Bit6=In Bit5=Out Bit4=In Bit3=Out Bit2=Out Bit1=Out Bit0=In 
DDRB=(0<<DDB7) | (0<<DDB6) | (1<<DDB5) | (0<<DDB4) | (1<<DDB3) | (1<<DDB2) | (1<<DDB1) | (0<<DDB0);
// State: Bit7=T Bit6=T Bit5=0 Bit4=P Bit3=0 Bit2=0 Bit1=0 Bit0=P 
PORTB=(0<<PORTB7) | (0<<PORTB6) | (0<<PORTB5) | (1<<PORTB4) | (0<<PORTB3) | (0<<PORTB2) | (0<<PORTB1) | (1<<PORTB0);

// Port C initialization
// Function: Bit6=In Bit5=In Bit4=Out Bit3=Out Bit2=Out Bit1=In Bit0=In 
DDRC=(0<<DDC6) | (0<<DDC5) | (1<<DDC4) | (1<<DDC3) | (1<<DDC2) | (0<<DDC1) | (0<<DDC0);
// State: Bit6=T Bit5=P Bit4=0 Bit3=0 Bit2=0 Bit1=P Bit0=P 
PORTC=(0<<PORTC6) | (1<<PORTC5) | (0<<PORTC4) | (0<<PORTC3) | (0<<PORTC2) | (1<<PORTC1) | (1<<PORTC0);

// Port D initialization
// Function: Bit7=Out Bit6=Out Bit5=Out Bit4=Out Bit3=Out Bit2=Out Bit1=In Bit0=In 
DDRD=(1<<DDD7) | (1<<DDD6) | (1<<DDD5) | (1<<DDD4) | (1<<DDD3) | (1<<DDD2) | (0<<DDD1) | (0<<DDD0);
// State: Bit7=0 Bit6=0 Bit5=0 Bit4=0 Bit3=0 Bit2=0 Bit1=T Bit0=T 
PORTD=(0<<PORTD7) | (0<<PORTD6) | (0<<PORTD5) | (0<<PORTD4) | (0<<PORTD3) | (0<<PORTD2) | (0<<PORTD1) | (0<<PORTD0);

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: Timer 0 Stopped
// Mode: Normal top=0xFF
// OC0A output: Disconnected
// OC0B output: Disconnected
TCCR0A=(0<<COM0A1) | (0<<COM0A0) | (0<<COM0B1) | (0<<COM0B0) | (0<<WGM01) | (0<<WGM00);
TCCR0B=(0<<WGM02) | (0<<CS02) | (0<<CS01) | (0<<CS00);
TCNT0=0x00;
OCR0A=0x00;
OCR0B=0x00;

// Timer/Counter 1 initialization
// Clock source: System Clock
// Clock value: 15,625 kHz
// Mode: Normal top=0xFFFF
// OC1A output: Disconnected
// OC1B output: Disconnected
// Noise Canceler: Off
// Input Capture on Falling Edge
// Timer Period: 4,1943 s
// Timer1 Overflow Interrupt: On
// Input Capture Interrupt: Off
// Compare A Match Interrupt: Off
// Compare B Match Interrupt: Off
TCCR1A=(0<<COM1A1) | (0<<COM1A0) | (0<<COM1B1) | (0<<COM1B0) | (0<<WGM11) | (0<<WGM10);
TCCR1B=(0<<ICNC1) | (0<<ICES1) | (0<<WGM13) | (0<<WGM12) | (1<<CS12) | (0<<CS11) | (1<<CS10);
TCNT1H=0x00;
TCNT1L=0x00;
ICR1H=0x00;
ICR1L=0x00;
OCR1AH=0x00;
OCR1AL=0x00;
OCR1BH=0x00;
OCR1BL=0x00;

// Timer/Counter 2 initialization
// Clock source: System Clock
// Clock value: Timer2 Stopped
// Mode: Normal top=0xFF
// OC2A output: Disconnected
// OC2B output: Disconnected
ASSR=(0<<EXCLK) | (0<<AS2);
TCCR2A=(0<<COM2A1) | (0<<COM2A0) | (0<<COM2B1) | (0<<COM2B0) | (0<<WGM21) | (0<<WGM20);
TCCR2B=(0<<WGM22) | (0<<CS22) | (0<<CS21) | (0<<CS20);
TCNT2=0x00;
OCR2A=0x00;
OCR2B=0x00;

// Timer/Counter 0 Interrupt(s) initialization
TIMSK0=(0<<OCIE0B) | (0<<OCIE0A) | (0<<TOIE0);

// Timer/Counter 1 Interrupt(s) initialization
TIMSK1=(0<<ICIE1) | (0<<OCIE1B) | (0<<OCIE1A) | (1<<TOIE1);

// Timer/Counter 2 Interrupt(s) initialization
TIMSK2=(0<<OCIE2B) | (0<<OCIE2A) | (0<<TOIE2);

// External Interrupt(s) initialization
// INT0: Off
// INT1: Off
// Interrupt on any change on pins PCINT0-7: Off
// Interrupt on any change on pins PCINT8-14: Off
// Interrupt on any change on pins PCINT16-23: Off
EICRA=(0<<ISC11) | (0<<ISC10) | (0<<ISC01) | (0<<ISC00);
EIMSK=(0<<INT1) | (0<<INT0);
PCICR=(0<<PCIE2) | (0<<PCIE1) | (0<<PCIE0);

// USART initialization
// USART disabled
UCSR0B=(0<<RXCIE0) | (0<<TXCIE0) | (0<<UDRIE0) | (0<<RXEN0) | (0<<TXEN0) | (0<<UCSZ02) | (0<<RXB80) | (0<<TXB80);

// Analog Comparator initialization
// Analog Comparator: Off
// The Analog Comparator's positive input is
// connected to the AIN0 pin
// The Analog Comparator's negative input is
// connected to the AIN1 pin
ACSR=(1<<ACD) | (0<<ACBG) | (0<<ACO) | (0<<ACI) | (0<<ACIE) | (0<<ACIC) | (0<<ACIS1) | (0<<ACIS0);
ADCSRB=(0<<ACME);
// Digital input buffer on AIN0: On
// Digital input buffer on AIN1: On
DIDR1=(0<<AIN0D) | (0<<AIN1D);

// ADC initialization
// ADC disabled
ADCSRA=(0<<ADEN) | (0<<ADSC) | (0<<ADATE) | (0<<ADIF) | (0<<ADIE) | (0<<ADPS2) | (0<<ADPS1) | (0<<ADPS0);

// SPI initialization
// SPI disabled
SPCR=(0<<SPIE) | (0<<SPE) | (0<<DORD) | (0<<MSTR) | (0<<CPOL) | (0<<CPHA) | (0<<SPR1) | (0<<SPR0);

// TWI initialization
// TWI disabled
TWCR=(0<<TWEA) | (0<<TWSTA) | (0<<TWSTO) | (0<<TWEN) | (0<<TWIE);

// Globally enable interrupts
#asm("sei")
                                       
while (1)
      {  
          //UDWLOCSE KEJ CS JMT
          if (selection == 1){
            ledr4 = 0;
            ledy4 = 0;
            ledg4 = 0;
            ledy2 = 0;
            ledg2 = 1;
            ledr2 = 0;
          }
          if (selection == 2){
            ledr4 = 0;
            ledy4 = 0;
            ledg4 = 0;
            ledy2 = 1;
            ledg2 = 0;
            ledr2 = 0;
          }
          if (selection == 3){
            ledr4 = 0;
            ledy4 = 0;
            ledg4 = 0;
            ledy2 = 0;
            ledg2 = 0;
            ledr2 = 1;
          }   
          if (selection == 4){
            ledr4 = 1;
            ledy4 = 0;
            ledg4 = 0;
            ledy2 = 0;
            ledg2 = 0;
            ledr2 = 0;
          }          
          if (selection == 5){
            ledr4 = 0;
            ledy4 = 1;
            ledg4 = 0;
            ledy2 = 0;
            ledg2 = 0;
            ledr2 = 0;
          }
          if (selection == 6){
            ledr4 = 0;
            ledy4 = 0;
            ledg4 = 1;
            ledy2 = 0;
            ledg2 = 0;
            ledr2 = 0;
          }
          if (selection == 7){
           selection = 1;
          }  
          if (selection == 0){
           selection = 6;
          }
          if (button3 == 0){
           selection++;
           delay_ms(500);
          }    
          if (button2 == 0){
           selection--;
           delay_ms(500);
          }     
          if (button5 == 0){
           confirm = 1;
          }
          //KU JE POTRJENO KEJ SI IZBROW
          if (confirm == 1){
               //TI CS JMT PRVO OPCIJO
               if (selection == 1){
                  for (counter1=0; counter1 < 10;counter1++) {
                  ledg1=1;
                  ledg2=1;
                  ledg3=1;
                  ledg4=1;
                  delay_ms(50)   ;
                  ledg1=0; 
                  ledg2=0;
                  ledg3=0;
                  ledg4=0;
                  
                  ledy1=1;
                  ledy2=1;
                  ledy3=1;
                  ledy4=1;
                  delay_ms(50)   ;
                  ledy1=0; 
                  ledy2=0;
                  ledy3=0;
                  ledy4=0;
                  
                  
                  ledr1=1;
                  ledr2=1;
                  ledr3=1;
                  ledr4=1;
                  delay_ms(50)   ; 
                  ledr1=0;
                  ledr2=0;
                  ledr3=0;
                  ledr4=0;   
                  
                  ledr1=1;
                  ledr2=1;
                  ledr3=1;
                  ledr4=1;
                  delay_ms(50)   ; 
                  ledr1=0;
                  ledr2=0;
                  ledr3=0;
                  ledr4=0; 
                  
                  ledy1=1;
                  ledy2=1;
                  ledy3=1;
                  ledy4=1;
                  delay_ms(50)   ;
                  ledy1=0; 
                  ledy2=0;
                  ledy3=0;
                  ledy4=0;    
                  
                  ledg1=1;
                  ledg2=1;
                  ledg3=1;
                  ledg4=1;
                  delay_ms(50)   ;
                  ledg1=0; 
                  ledg2=0;
                  ledg3=0;
                  ledg4=0;   
                  };         
                  counter1 = 0;
                       
                  ledg1=1;
                  delay_ms(100);
                  ledg1=0;
                  ledy1=1;
                  delay_ms(100);
                  ledy1=0;
                  ledr1=1;
                  delay_ms(100);
                  ledr1=0; 
                  
                  ledg2=1;
                  delay_ms(100);
                  ledg2=0;
                  ledy2=1;
                  delay_ms(100);
                  ledy2=0;
                  ledr2=1;
                  delay_ms(100);
                  ledr2=0;
                  
                  ledg3=1;
                  delay_ms(100);
                  ledg3=0;
                  ledy3=1;
                  delay_ms(100);
                  ledy3=0;
                  ledr3=1;
                  delay_ms(100);
                  ledr3=0;
                  
                  ledg4=1;
                  delay_ms(100);
                  ledg4=0;
                  ledy4=1;
                  delay_ms(100);
                  ledy4=0;
                  ledr4=1;
                  delay_ms(100);
                  ledr4=0;                       
                  
                   ledg1=1;
                  delay_ms(100);
                  ledg1=0;
                  ledy1=1;
                  delay_ms(100);
                  ledy1=0;
                  ledr1=1;
                  delay_ms(100);
                  ledr1=0;
                  
                  ledg3=1;
                  delay_ms(100);
                  ledg3=0;
                  ledy3=1;
                  delay_ms(100);
                  ledy3=0;
                  ledr3=1;
                  delay_ms(100);
                  ledr3=0;   
                  
                  ledg4=1;
                  delay_ms(100);
                  ledg4=0;
                  ledy4=1;
                  delay_ms(100);
                  ledy4=0;
                  ledr4=1;
                  delay_ms(100);
                  ledr4=0;  
                  
                  ledg2=1;
                  delay_ms(100);
                  ledg2=0;
                  ledy2=1;
                  delay_ms(100);
                  ledy2=0;
                  ledr2=1;
                  delay_ms(100);
                  ledr2=0;
                  
                  ledg1=1;
                  ledy1=1;
                  ledr1=1;
                  delay_ms(50)   ; 
                  ledr1=0;
                  ledy1=0;
                  ledr1=0;
                  
                  ledr1=1;
                  ledy1=1;
                  ledg1=1;
                  delay_ms(50)   ;
                  ledr1=0; 
                  ledy1=0;
                  ledg1=0;
                            
                   ledg3=1;
                  ledy3=1;
                  ledr3=1;
                  delay_ms(50)   ; 
                  ledr3=0;
                  ledy3=0;
                  ledr3=0;
                  
                  ledr3=1;
                  ledy3=1;
                  ledg3=1;
                  delay_ms(50)   ;
                  ledr3=0; 
                  ledy3=0;
                  ledg3=0;
                  
                    ledg2=1;
                  delay_ms(100);
                  ledg2=0;
                  ledy2=1;
                  delay_ms(100);
                  ledy2=0;
                  ledr2=1;
                  delay_ms(100);
                  ledr2=0;
                  
                   ledg4=1;
                  delay_ms(100);
                  ledg4=0;
                  ledy4=1;
                  delay_ms(100);
                  ledy4=0;
                  ledr4=1;
                  delay_ms(100);
                  ledr4=0;
                  
                  ledg2=1;
                  ledy2=1;
                  ledr2=1;
                  delay_ms(50)   ; 
                  ledr2=0;
                  ledy2=0;
                  ledr2=0;
                  
                  ledr2=1;
                  ledy2=1;
                  ledg2=1;
                  delay_ms(50)   ;
                  ledr2=0; 
                  ledy2=0;
                  ledg2=0;
                            
                   ledg4=1;
                  ledy4=1;
                  ledr4=1;
                  delay_ms(50)   ; 
                  ledr4=0;
                  ledy4=0;
                  ledr4=0;
                  
                  ledr4=1;
                  ledy4=1;
                  ledg4=1;
                  delay_ms(50)   ;
                  ledr4=0; 
                  ledy4=0;
                  ledg4=0; 
                  
                  ledg3=1;
                  delay_ms(100);
                  ledg3=0;
                  ledy3=1;
                  delay_ms(100);
                  ledy3=0;
                  ledr3=1;
                  delay_ms(100);
                  ledr3=0;   
                  
                  ledg1=1;
                  delay_ms(100);
                  ledg1=0;
                  ledy1=1;
                  delay_ms(100);
                  ledy1=0;
                  ledr1=1;
                  delay_ms(100);
                  ledr1=0;     
                  
                  selection = 1;
               }
               //TI CS JMT DRUGO OPCIJO
               if (selection == 2){  
                  //CE JE KODA PRAVA
                  while (section2done == 0){  
                        ledy1 = 1;
                        ledy2 = 1;
                        ledy3 = 1;
                        ledy4 = 1;
                        delay_ms(500);
                        ledy1 = 0;
                        ledy2 = 0;
                        ledy3 = 0;
                        ledy4 = 0;   
                        delay_ms(500);
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;   
                        delay_ms(500);
                      if(button1 == 0){
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;
                        pass1 = 1;
                      }
                      if(button2 == 0){
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;
                        pass2 = 1;
                      }
                      if(button5 == 0){
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;
                        pass3 = 1;
                      }                
                      //E JE KONA NAPANA
                      if(button3 == 0){
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        pass1 = 0;
                        pass2 = 0;
                        pass3 = 0;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;
                      }
                      if(button4 == 0){
                        ledr1 = 1;
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        pass1 = 0;
                        pass2 = 0;
                        pass3 = 0;
                        delay_ms(500);
                        ledr1 = 0;
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;
                      }
                      //CE SO USE STVARI PRAV
                      if (pass1&pass2&pass3==1){
                        ledg1 = 1;             
                        ledg2 = 1;
                        ledg3 = 1;
                        ledg4 = 1;
                        delay_ms(1000);
                        ledg1 = 0;             
                        ledg2 = 0;
                        ledg3 = 0;
                        ledg4 = 0;
                        ledy1 = 1;             
                        ledy2 = 1;
                        ledy3 = 1;
                        ledy4 = 1;
                        delay_ms(500); 
                        ledy1 = 0;             
                        ledy2 = 0;
                        ledy3 = 0;
                        ledy4 = 0;
                        ledr1 = 1;             
                        ledr2 = 1;
                        ledr3 = 1;
                        ledr4 = 1;
                        delay_ms(500); 
                        ledr1 = 0;             
                        ledr2 = 0;
                        ledr3 = 0;
                        ledr4 = 0;   
                        delay_ms(500);
                        pass1 = 0;
                        pass2 = 0;
                        pass3 = 0;
                        section2done = 1;  
                        delay_ms(250);
                      }
                  }
                  section2done = 0;          
                  selection = 2;
               } 
               //TI CS JMT TRETJO OPCIJO
               if (selection == 3){
               ledr2 = 0;                                        
                  for (counter2=0; counter2 < 10;counter2++) {
                      for (counter3=0; counter3 < 10;counter3++) {
                      ledr1 = 1;
                      ledr3 = 1;
                      delay_ms(50);
                      ledr1 = 0;
                      ledr3 = 0;
                      ledy1 = 1;
                      ledy3 = 1;
                      delay_ms(50);
                      ledy1 = 0;
                      ledy3 = 0;
                      ledg1 = 1;
                      ledg3 = 1;
                      delay_ms(50); 
                      ledg1 = 0;
                      ledg3 = 0;
                      }            
                      counter3 = 0;
                      
                      ledr2 = 1;
                      ledr4 = 1;
                      delay_ms(50);
                      ledr2 = 0;   
                      ledr4 = 0;
                      ledy2 = 1;   
                      ledy4 = 1;
                      delay_ms(50);
                      ledy2 = 0;   
                      ledy4 = 0;
                      ledg2 = 1;   
                      ledg4 = 1;   
                      delay_ms(50);
                      ledg2 = 0;   
                      ledg4 = 0;
                  }
                  counter2 = 0;              
                  selection = 3;
               }
               //TI CS JMT CETRTO OPCIJO
               if (selection == 4){
               ledr4 = 0;                                        
                  for (counter3=0; counter3 < 3;counter3++) {
                    ledg3 = 1;
                    delay_ms(250);
                    ledg3 = 0;
                    ledy3 = 1;
                    delay_ms(250);
                    ledy3 = 0;
                    ledr3 = 1;
                    delay_ms(250);
                    ledr3 = 0;
                    delay_ms(100);
                    ledr1 = 1;
                    ledr2 = 1;
                    ledr4 = 1;
                    delay_ms(50);
                    ledr1 = 0;
                    ledr2 = 0;
                    ledr4 = 0;
                    ledy1 = 1;
                    ledy2 = 1;
                    ledy4 = 1;
                    delay_ms(50);
                    ledy1 = 0;
                    ledy2 = 0;
                    ledy4 = 0;
                    ledg1 = 1;
                    ledg2 = 1;
                    ledg4 = 1;    
                    delay_ms(50);
                    ledg1 = 0;
                    ledg2 = 0;
                    ledg4 = 0;
                    delay_ms(50);                                
                    for (counter4=0; counter4 < 4;counter4++) {
                        ledg1 = 1;
                        ledg2 = 1;
                        ledg4 = 1;
                        delay_ms(50);                             
                        ledg1 = 0;
                        ledg2 = 0;
                        ledg4 = 0;  
                        delay_ms(50);
                    }                                           
                    ledg1 = 1;
                    ledg2 = 1;
                    ledg4 = 1;
                    delay_ms(100);                             
                    ledg1 = 0;
                    ledg2 = 0;
                    ledg4 = 0;
                  } 
                  counter3 = 0;              
                  selection = 4;
               }                 
               //TI CS JMT PETO OPCIJO
               if (selection == 5){
               int done = 1;
               int check1 = 0;
               int check2 = 0;
               int check3 = 0;
               int check4 = 0;
               int press1 = 0;  
               int press2 = 0; 
               int press3 = 0; 
               int press4 = 0;    
               
               ledy4 = 0;      
               delay_ms(250);
                                                      
                  while (done) {
                         
                              
                    ledg1 = 1;  
               
                    TCNT1H=zakasnitev>>8;
                    TCNT1L=zakasnitev&0xFF; 
                    wait = 1;
                    while (wait){
                        if (button1 == 0){
                            press1 = 1;    
                        }    
                        if (button2 == 0){
                            press2 = 1;    
                        }  
                        if (button3 == 0){
                            press4 = 1;    
                        }  
                        if (button4 == 0){
                            press3 = 1;    
                        }      
                    }     
                    if (press1) {
                        check1++;
                        press1 = 0;    
                    }       
                    if (press2) {
                        check2--;
                        press2 = 0;    
                    }         
                    if (press3) {
                        check3--;
                        press3 = 0;    
                    }  
                    if (press4) {
                        check4--;
                        press4 = 0;    
                    }  
                    
                    
                                  
                    switch (check1){
                           case 1:
                                ledg1 = 1; 
                                ledy1 = 0;
                                ledr1 = 0;
                           break;
                           case 2:
                                ledy1 = 1; 
                                ledr1 = 0;
                                ledg1 = 0;
                           break;   
                           case 3:
                                ledr1 = 1; 
                                ledy1 = 0;
                                ledg1 = 0;
                           break;
                    }  
                    
                               
                    ledg1 = 0;
                    ledg2 = 1;       
                            
                    TCNT1H=zakasnitev>>8;
                    TCNT1L=zakasnitev&0xFF; 
                    wait = 1;
                    while (wait){
                        if (button1 == 0){
                            press1 = 1;    
                        }    
                        if (button2 == 0){
                            press2 = 1;    
                        }  
                        if (button3 == 0){
                            press4 = 1;    
                        }  
                        if (button4 == 0){
                            press3 = 1;    
                        }      
                    }     
                    if (press1) {
                        check1--;
                        press1 = 0;    
                    }       
                    if (press2) {
                        check2++;
                        press2 = 0;    
                    }         
                    if (press3) {
                        check3--;
                        press3 = 0;    
                    }  
                    if (press4) {
                        check4--;
                        press4 = 0;    
                    }  
                    switch (check2){
                           case 1:
                                ledg2 = 1; 
                                ledr2 = 0;
                                ledy2 = 0;
                           break;
                           case 2:
                                ledy2 = 1; 
                                ledg2 = 0;
                                ledr2 = 0;
                           break;   
                           case 3:         
                                ledg2 = 0;
                                ledy2 = 0;
                                ledr2 = 1;
                           break;
                    }   
                    
                    
                               
                    ledg2 = 0;
                    ledg3 = 1;       
                         
               
                    TCNT1H=zakasnitev>>8;
                    TCNT1L=zakasnitev&0xFF; 
                    wait = 1;
                    while (wait){
                        if (button1 == 0){
                            press1 = 1;    
                        }    
                        if (button2 == 0){
                            press2 = 1;    
                        }  
                        if (button3 == 0){
                            press4 = 1;    
                        }  
                        if (button4 == 0){
                            press3 = 1;    
                        }      
                    }     
                    if (press1) {
                        check1--;
                        press1 = 0;    
                    }       
                    if (press2) {
                        check2--;
                        press2 = 0;    
                    }         
                    if (press3) {
                        check3++;
                        press3 = 0;    
                    }  
                    if (press4) {
                        check4--;
                        press4 = 0;    
                    }  
                    switch (check3){
                           case 1:
                                ledg3 = 1; 
                                ledr3 = 0;
                                ledy3 = 0;
                           break;
                           case 2:
                                ledy3 = 1; 
                                ledr3 = 0;
                                ledg3 = 0;
                           break;   
                           case 3:
                                ledr3 = 1; 
                                ledg3 = 0;
                                ledy3 = 0;
                           break;
                    }         
                    
                    
                              
                    ledg3 = 0;
                    ledg4 = 1;    
                          
               
                    TCNT1H=zakasnitev>>8;
                    TCNT1L=zakasnitev&0xFF; 
                    wait = 1;
                    while (wait){
                        if (button1 == 0){
                            press1 = 1;    
                        }    
                        if (button2 == 0){
                            press2 = 1;    
                        }  
                        if (button3 == 0){
                            press4 = 1;    
                        }  
                        if (button4 == 0){
                            press3 = 1;    
                        }      
                    }     
                    if (press1) {
                        check1--;
                        press1 = 0;    
                    }       
                    if (press2) {
                        check2--;
                        press2 = 0;    
                    }         
                    if (press3) {
                        check3--;
                        press3 = 0;    
                    }  
                    if (press4) {
                        check4++;
                        press4 = 0;    
                    }  
                    switch (check4){
                           case 1:
                                ledg4 = 1;  
                                ledr4 = 0;
                                ledy4 = 0;
                           break;
                           case 2:
                                ledy4 = 1;  
                                ledr4 = 0;
                                ledg4 = 0;
                           break;   
                           case 3:
                                ledr4 = 1;  
                                ledg4 = 0;
                                ledy4 = 0;
                           break;
                    }       
                    ledg4 = 0;
                    
                    
                    
                    
                    
                    
                    if (check1 == 4|check2 == 4|check3 == 4|check4 == 4){
                        ledr1=ledy1=ledg1=ledr2=ledy2=ledg2=ledr3=ledy3=ledg3=ledr4=ledy4=ledg4=0;  
                        delay_ms(250);
                        if (check1 == 4){
                           ledr1 = 1;     
                           ledy1 = 1;
                           ledg1 = 1;     
                           delay_ms(250);
                           ledr1 = 0;     
                           ledy1 = 0;
                           ledg1 = 0;     
                           delay_ms(250);  
                           ledr1 = 1;     
                           ledy1 = 1;
                           ledg1 = 1;     
                           delay_ms(250);
                           ledr1 = 0;     
                           ledy1 = 0;
                           ledg1 = 0;   
                           delay_ms(250);  
                           ledr1 = 1;     
                           ledy1 = 1;
                           ledg1 = 1;     
                           delay_ms(250);
                           ledr1 = 0;     
                           ledy1 = 0;
                           ledg1 = 0;  
                        
                        }                             
                        if (check2 == 4){
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(250);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0;     
                           delay_ms(250);  
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(250);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0; 
                           delay_ms(250);  
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(250);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0;   
                        
                        }
                        if (check3 == 4){
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(250);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;     
                           delay_ms(250);  
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(250);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;  
                           delay_ms(250);  
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(250);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;   
                        
                        }
                        if (check4 == 4){
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(250);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;     
                           delay_ms(250);  
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(250);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;   
                           delay_ms(250);  
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(250);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;  
                        }             
                        check1=check2=check3=check4=0;
                        done = 0;
                    }     
                    if (check1 <= -3|check2 <= -3|check3 <= -3|check4 <= -3               ){
                        if (check1 <= -3){
                           ledr1 = 1;     
                           ledy1 = 1;
                           ledg1 = 1;     
                           delay_ms(100);
                           ledr1 = 0;     
                           ledy1 = 0;
                           ledg1 = 0;     
                           delay_ms(100);  
                           ledr1 = 1;     
                           ledy1 = 1;
                           ledg1 = 1;     
                           delay_ms(100);
                           ledr1 = 0;     
                           ledy1 = 0;
                        }                             
                        if (check2 <= -3){
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(100);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0;     
                           delay_ms(100);  
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(100);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0; 
                           delay_ms(100);  
                           ledr2 = 1;     
                           ledy2 = 1;
                           ledg2 = 1;     
                           delay_ms(100);
                           ledr2 = 0;     
                           ledy2 = 0;
                           ledg2 = 0;   
                        
                        }
                        if (check3 <= -3){
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(100);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;     
                           delay_ms(100);  
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(100);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;  
                           delay_ms(100);  
                           ledr3 = 1;     
                           ledy3 = 1;
                           ledg3 = 1;     
                           delay_ms(100);
                           ledr3 = 0;     
                           ledy3 = 0;
                           ledg3 = 0;   
                        
                        }
                        if (check4 <= -3){
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(100);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;     
                           delay_ms(100);  
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(100);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;   
                           delay_ms(100);  
                           ledr4 = 1;     
                           ledy4 = 1;
                           ledg4 = 1;     
                           delay_ms(100);
                           ledr4 = 0;     
                           ledy4 = 0;
                           ledg4 = 0;  
                        }          
                        check1=check2=check3=check4=0;
                        
                        ledr1=ledy1=ledg1=ledr2=ledy2=ledg2=ledr3=ledy3=ledg3=ledr4=ledy4=ledg4=0;  
                        
                        done = 0;
                    }
                    if(button5 == 0){       
                        done = 0;
                        ledr1=ledr2=ledr3=ledr4= 1;
                        delay_ms(2000);
                        ledr1=ledy1=ledg1=ledr2=ledy2=ledg2=ledr3=ledy3=ledg3=ledr4=ledy4=ledg4=0;  
                    }
                  }                
                  
                  counter5 = 0;              
                  selection = 5;
               }
               //TI CS JMT SESTO OPCIJO
               if (selection == 6){
               ledr4 = 0;                                        
                  for (counter6=0; counter6 < 10;counter6++) {
                  
                  
                  
                  
                  
                  
                  
                  
                  
                  }
                  counter6 = 0;              
                  selection = 6;
               }
               //KWANC OPCIJ 
          confirm = 0;     
          //ZDEJ PA SI KEJ DRUZGA ZBERI
          }
      }
}